frescobaldi (3.1.2+ds1-1) unstable; urgency=medium

  [ Ryan Kavanagh ]
  * New upstream version 3.1.2+ds1
    + Update copyright file with new holders and new file locations
  * Add missing dependency on python3-pyqt5.qtwebengine (Closes: #953409)
  * Set Rules-Requires-Root: no
  * Bump compat level to 13
  * Let gbp-dch parse meta information
  * Configure gbp to use pristine-tar
  * Extend debian/upstream/metadata with repository info
  * Override package-contains-documentation-outside-usr-share-doc
  * Added missing build-depedency on python3-setuptools

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database.

 -- Ryan Kavanagh <rak@debian.org>  Tue, 26 May 2020 09:48:54 -0400

frescobaldi (3.1.1+ds1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python3-Version field
  * Use debhelper-compat instead of debian/compat.

  [ Anthony Fok ]
  * New upstream version 3.1.1
  * Apply "cme fix dpkg" fixes:
    - Organize debian/control fields
    - Update debhelper dependency to "Build-Depends: debhelper-compat (= 12)"
    - Bump Standards-Version to 4.5.0 (no change)
  * Depend on python3-pygame instead of the nonexistent python3-pypm
  * Update debian/copyright
  * Refresh debian/patches/private-module-directory.patch

 -- Anthony Fok <foka@debian.org>  Wed, 04 Mar 2020 19:41:00 -0700

frescobaldi (3.0.0+ds1-2) unstable; urgency=medium

  * Migrate package sources from SVN on alioth to Git on salsa and update the
    Vcs-* entries accordingly in debian/control

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Ryan Kavanagh ]
  * Added missing build-dependency on python3-distutils (Closes: #896755)
  * Bump standards version to 4.1.4
  * Set PAPT as maintainer and move myself to uploaders

 -- Ryan Kavanagh <rak@debian.org>  Thu, 26 Apr 2018 13:29:50 -0400

frescobaldi (3.0.0+ds1-1) unstable; urgency=medium

  * New upstream version 3.0.0 official release.
  * Update debian/copyright for 2017.

 -- Anthony Fok <foka@debian.org>  Wed, 08 Mar 2017 16:02:39 -0700

frescobaldi (3.0.0~git20161001.0.eec60717+ds1-2) unstable; urgency=medium

  * Change "Depends: lilypond" to "Recommends: lilypond" since LilyPond
    is not absolutely necessary for Frescobaldi to run, but moreover,
    to get Frescobaldi into Debian "stretch" (testing), i.e. the upcoming
    Debian 9.0 stable release, in case lilypond does not make it into
    "stretch".  See http://bugs.debian.org/746005 for details.

 -- Anthony Fok <foka@debian.org>  Thu, 29 Dec 2016 13:52:18 -0700

frescobaldi (3.0.0~git20161001.0.eec60717+ds1-1) unstable; urgency=medium

  * New upstream snapshot of the future Frescobaldi 3.0.0 release
    which is now fully migrated to Python 3 and Qt 5.
    Incidentally, this allows Frescobaldi to enter Debian 9 (stretch)
    where Qt 4's WebKit has been removed.  (Closes: #784610)

 -- Anthony Fok <foka@debian.org>  Sat, 17 Dec 2016 06:55:19 -0700

frescobaldi (2.19.0+ds1-2) unstable; urgency=medium

  * Update package description according to http://frescobaldi.org/.
    Existing features that I previously overlooked include
    "MIDI capturing to enter music" and "MusicXML, MIDI and ABC import".
  * Add "Enhances: lilypond".

 -- Anthony Fok <foka@debian.org>  Thu, 15 Dec 2016 14:28:27 -0700

frescobaldi (2.19.0+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Use secure URI for Vcs-Browser field in debian/control (Lintian).
  * Update years and fix duplicate "the" in debian/copyright (Lintian).

 -- Anthony Fok <foka@debian.org>  Sun, 13 Nov 2016 03:09:08 -0700

frescobaldi (2.18.2+ds1-2) unstable; urgency=medium

  * Add missing dependency on libportmidi0 or its future equivalents
    "python3-pypm" or "python3-pygame".  This fixes the bug that I
    introduced in 2.18.1+ds1-1 when I decided to switch to Python 3
    but neglected this dependency.  Special thanks to Emmanuel Castro
    for reporting this bug on Launchpad.  (LP: #1572566)
  * Bump Standards-Version to 3.9.8 (no change)
  * Add "repack" and "compression=xz" to debian/watch,
    and adjust debian/rules accordingly.

 -- Anthony Fok <foka@debian.org>  Sun, 13 Nov 2016 02:37:56 -0700

frescobaldi (2.18.2+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch to use frescobaldi-2.18.2.tar.gz that the upstream
    author specifically packaged and provided sha256sum rather than
    v2.18.2.tar.gz that is automatically packaged by GitHub and contains
    large and unneeded GIMP XCF image files.
  * Remove previously applied upstream patch fix-typeerror-qbrush.diff
    which is now an integral part of Frescobaldi version 2.18.2.

 -- Anthony Fok <foka@debian.org>  Sat, 26 Dec 2015 21:31:35 -0700

frescobaldi (2.18.1+ds1-3) unstable; urgency=high

  * Acknowledge Ubuntu upload (2.18.1+ds1-2ubuntu1) with upstream fix:
     - fix-typeerror-qbrush.diff: Fix failure on startup (LP: #1513757)
       TypeError: QPen(): argument 1 has unexpected type QBrush
    Thank you, Timo Aaltonen!
  * Add DEP-3 header fields to fix-typeerror-qbrush.diff
  * Remove obsolete debian/menu: Upstream already contains a superior
    frescobaldi.desktop, and per the tech-ctte decision on #741573,
    the equivalent Debian menu file should be removed.
    See https://lists.debian.org/debian-devel-announce/2015/09/msg00000.html
    for details.  (Fixes Lintian W: command-in-menu-file-and-desktop-file)

 -- Anthony Fok <foka@debian.org>  Sat, 21 Nov 2015 00:41:34 -0700

frescobaldi (2.18.1+ds1-2ubuntu1) xenial; urgency=medium

  * fix-typeerror-qbrush.diff: Fix failure on startup. (LP: #1513757)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 06 Nov 2015 10:47:17 +0200

frescobaldi (2.18.1+ds1-2) unstable; urgency=high

  * Patch /usr/bin/frescobaldi to search in /usr/share/frescobaldi
    for Frescobaldi's private Python modules.
    This fixes the "frescobaldi fails to run" bug which I introduced
    in the Debian packaging of 2.18.1+ds1-1 when I decided to move
    Frescobaldi's Python module directory.

 -- Anthony Fok <foka@debian.org>  Tue, 15 Sep 2015 16:06:02 -0600

frescobaldi (2.18.1+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Built with Python 3.
  * Build-Depends and Depends on the new python3-ly package.
  * Install Frescobaldi modules to private directory /usr/share/frescobaldi
    instead of /usr/lib/python3/dist-packages.
  * Revise debian/copyright:
     - Correct Lintian errors
     - List the full licenses for LPPL-1.3c and SISSL-1.1
     - Move special explanations from License to Comment
     - Update upstream author's email address
  * Update package description with new translated languages, namely
    Brazillian Portuguese and Ukrainian.
  * Add Lintian override for obsolete-url-in-packaging.

 -- Anthony Fok <foka@debian.org>  Tue, 15 Sep 2015 13:48:28 -0600

frescobaldi (2.17.2+ds1-1) unstable; urgency=medium

  * New upstream release:
      2.17.2 fixes one annoying bug that could pop up when compiling a
      LilyPond file (AttributeError: 'unicode' object has no attribute
      'insert', issue #543 in our bug tracker), and provides updated
      translations for Italian, Dutch and French.
  * Update debian/copyright

 -- Anthony Fok <foka@debian.org>  Sun, 25 Jan 2015 02:45:34 -0700

frescobaldi (2.17.1+ds1-1) unstable; urgency=medium

  * New upstream release.  Merry Christmas!  :-)
  * Remove Chinese l10n patch because it is already in upstream.
  * Bump Python requirement from 2.6+ to 2.7+.

 -- Anthony Fok <foka@debian.org>  Sat, 27 Dec 2014 04:03:12 -0700

frescobaldi (2.0.16+ds1-1) unstable; urgency=low

  * New upstream release.
  * Add my initial skeletal Chinese l10n. Hope more people can help!
  * Reinclude some hyphenation dictionaries, namely cs_CZ, da_DK, el_GR,
    es_ES, fi_FI, ga_IE, id_ID, is_IS, nl_NL, pt_BR, pt_PT, sk_SK, sv_SE,
    and uk_UA, which are otherwise unavailable in any current Debian
    hyphen-* packages.
  * debian/copyright: Convert to the machine-readable format v1.0
    with corrections, and add Files-Excluded field.
  * debian/watch: Direct URL to GitHub, and use new repacksuffix option.
  * debian/rules: New get-orig-source target to run "uscan --repack"
  * debian/cleanup.sh: Add obsolescence message and exit.
  * debian/README.source: Document the switch to "uscan --repack".
  * debian/control:
     - Bump Standards-Version to 3.9.6
     - Add Build-Depends: dh-python
     - Add a linebreak in the package description

 -- Anthony Fok <foka@debian.org>  Sun, 21 Dec 2014 05:22:13 -0700

frescobaldi (2.0.13+ds1-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Fix a typo in README.source.

  [ Anthony Fok ]
  * New upstream release (Closes: #729688)
  * Bump Standards-Version to 3.9.5
  * Upstream has applied 01_double_encode_translator.diff to correct
    encoding in pt_BR.po for Frescobaldi 2.0.11, removing Debian patch
  * Update debian/copyright, adding Urs Liska to the list of contributors
  * Add myself to the Uploaders field (Thanks, Ryan!)

 -- Anthony Fok <foka@debian.org>  Sun, 19 Jan 2014 09:19:48 +0800

frescobaldi (2.0.10+ds1-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Ryan Kavanagh ]
  * New upstream release
    + Repacked to remove hyphdicts and Tango icon theme
    + Documented this in Debian/README.source
    + Update the copyright holders file
  * Upload to unstable now that wheezy is released
  * Bumped standards version to 3.9.4
  * Bumped debhelper build-dependency to (>= 9) and set compat to 9
  * Updated the long-outdated manpage
  * Fix encoding of Last-Translator field in pt_BR.po,
    01_double_encode_translator.diff (Closes: #684201)

 -- Ryan Kavanagh <rak@debian.org>  Sun, 26 May 2013 22:26:03 -0400

frescobaldi (2.0.8+ds1-1) experimental; urgency=low

  * New upstream release
    + Repacked to remove hyphdicts and Tango icon theme
    + Documented this in Debian/README.source

 -- Ryan Kavanagh <rak@debian.org>  Tue, 12 Feb 2013 12:30:16 -0500

frescobaldi (2.0.5+ds1-1) unstable; urgency=low

  * New upstream release
    + Repacked to remove hyphdicts and Tango icon theme
    + Documented this in Debian/README.source
  * Suggest hyphen-hyphenation-patterns
  * Add depends on icon-theme-tango
  * Update watch file to deal with mangled version number
  * Updated copyright file with new copyright holders and years
  * Update long and short descriptions (Closes: #661322)
  * Drop unneeded B-D on cmake, kdelibs-bin
  * Move python-pypm from Recommends to Depends
  * Drop DM-Upload-Allowed: yes from control
  * Bump standards version to 3.9.3

 -- Ryan Kavanagh <rak@debian.org>  Thu, 26 Apr 2012 21:45:21 -0400

frescobaldi (2.0.0-1) unstable; urgency=low

  * New upstream release
  * Drop the following uneeded patches:
    + 01_checkmodules_no_python-kde4_build-dep.diff
    + 02_no_pyc.diff
    + 04_no_binary_lilypond_upgrades.diff
  * Needs new dependency python-poppler-qt4
  * Update debian/watch for new download path
  * Update copyright file with new holders and years

 -- Ryan Kavanagh <rak@debian.org>  Tue, 03 Jan 2012 16:20:11 -0500

frescobaldi (1.2.0-2) unstable; urgency=low

  * Bump standards vertion to 3.9.2
  * Switch to dh_python2
  * Use default version of Python (Closes: #649259)

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Thu, 24 Nov 2011 18:53:06 -0500

frescobaldi (1.2.0-1) unstable; urgency=low

  * New upstream release
  * Merge changes from Kubuntu:
    - Drop kdelibs5 from Depends since python-kde4 already depends on
      everything we need.

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Tue, 18 Jan 2011 16:11:11 -0500

frescobaldi (1.1.8-1) unstable; urgency=low

  * New upstream release
  * Refreshed 02_no_pyc.diff
  * Updated copyright holder's years
  * Updated to dh8
    - Change debian/control
    - Bump debian/compat to 8

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Tue, 09 Nov 2010 13:52:15 -0500

frescobaldi (1.1.7-1) unstable; urgency=low

  * New upstream release
  * Drop 03_gnome_icon.diff, applied upstream.
  * Comment out the feature to download 3rd party binaries of lilypond.
    Packages of the stable Lilypond version are generally up to date in Debian
    and we don't want users sending Debian bug reports about broken Lilypond
    installs when their Lilypond installation isn't from Debian.
    Done in 04_no_binary_lilypond_upgrades.diff
  * Turn on DM-Upload-Allowed: yes.

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Fri, 08 Oct 2010 11:38:53 -0400

frescobaldi (1.1.5-1) unstable; urgency=low

  * New upstream release
  * Update debian/copyright and frescobaldi.1 with copyright holders.
  * Add an uncompressed version of frescobaldi.svgz so that GNOME users can
    have an icon, 03_gnome_icon.diff, (Closes: #593297)
  * Drop unneeded Build-Dependencies, upstream now provides pregenerated
    images. This means we no longer need lilypond to generate them. We also
    patched out the checks for KDE/Qt python modules ages ago, but never
    dropped the B-D.
  * Although section 2.3 of the Python Policy is for modules, we'll switch to
    X-Python-Version from XS-Python-Version since it recommends it.
  * The 1.1 series requires python >= 2.6, bumped pyversions / X-Python-Version
  * Update the long description with new upstream translation languages
  * Place the I-B-D and Depends each on their own line so that it's easier to
    see which packages have been added or removed in debdiffs/SVN diffs.

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Thu, 19 Aug 2010 10:24:19 -0400

frescobaldi (1.1.4-1) unstable; urgency=low

  * New upstream release
  * Use the simple feed for google code in the watch file. Depends on a patch
    for uscan which will hopefully get uploaded to Debian in the near future.
  * Switch to source format 3.0 (quilt)
  * Drop README.source for quilt, it's no longer needed under source format
    3.0 (quilt)
  * Drop quilt from the B-D
  * Updated copyright with new holders / years
  * Ditch CDBS for dh
  * Update 01_checkmodules_no_python-kde4_build-dep.diff for new
    checkmodules.py
  * Don't install .pyc files. Thiss used to be done in debian/rules. Now done
    with 02_no_pyc.diff .
  * Frescobaldi no longer appears to segfault at start (Closes: #558228)
  * Frescobaldi is now installable with the current python-kde4
    (Closes: #570847)
  * Bump to standards version 3.9.1, no changes required

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sun, 01 Aug 2010 10:08:01 -0400

frescobaldi (1.0.2-2) unstable; urgency=low

  * Added lilypond-doc as a suggests
  * Added an entry to README.Debian concerning setting the LilyPond
    documentation path in Frescobaldi.

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Mon, 15 Mar 2010 21:15:34 -0400

frescobaldi (1.0.2-1) unstable; urgency=low

  * New upstream release, fixes issues with KDE 4.4 and SIP 4.10.
  * Bumped to standards version 3.8.4

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sat, 20 Feb 2010 08:31:25 -0500

frescobaldi (1.0.1-1) unstable; urgency=low

  * New upstream release

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sun, 17 Jan 2010 08:54:24 -0500

frescobaldi (1.0.0-1) unstable; urgency=low

  * New upstream release
  * Updated the long description with new features

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sun, 27 Dec 2009 15:21:28 -0500

frescobaldi (0.7.17-1) unstable; urgency=low

  * New upstream release

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sun, 29 Nov 2009 08:31:56 -0500

frescobaldi (0.7.16-1) unstable; urgency=low

  * New upstream release
  * Update the copyright with new copyright holders

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sun, 15 Nov 2009 18:22:07 -0500

frescobaldi (0.7.15-1) unstable; urgency=low

  * New upstream release
  * Update README.Debian now that rumor is in the archives
  * Update copyright with new copyright holders

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sun, 01 Nov 2009 20:25:12 +0100

frescobaldi (0.7.13-3) unstable; urgency=low

  * Switched out kdebase for kdebase-bin as a depends since both work and
    kdebase-bin is smaller

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sat, 29 Aug 2009 15:43:34 -0400

frescobaldi (0.7.13-2) unstable; urgency=low

  * Added python-qt4-dbus as a depends (Closes: #543205)
  * Tidied up the long description, added a few of the new "main" features to
    it as well. (Closes: #543142)
  * Now using standards 3.8.3

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Fri, 28 Aug 2009 17:00:47 -0400

frescobaldi (0.7.13-1) unstable; urgency=low

  * New upstream release
  * Updated copyright file
  * Added a README.source as per Debian Policy Manual 3.8.2.0 section 4.14
  * Section now editors
  * Drop CMakeLists.txt from the docs
  * Fix the menu file
  * Don't ship the .pyc files in the .deb

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Tue, 11 Aug 2009 17:52:14 -0400

frescobaldi (0.7.11-1) unstable; urgency=low

  * Initial release (Closes: #511794)

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sun, 21 Jun 2009 21:32:49 -0400
